/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "feedpropertiesdialog.h"

#include <KLocale>
#include <KMessageBox>

FeedPropertiesDialog::FeedPropertiesDialog( QWidget *parent )
        : KDialog( parent )
{
        QWidget *widget = new QWidget( this );
        ui.setupUi( widget );

        setMainWidget( widget );
        setCaption( i18n( "Feed Properties" ) );
        setButtons( KDialog::Ok | KDialog::Close );
}

FeedPropertiesDialog::~FeedPropertiesDialog()
{
}

QString FeedPropertiesDialog::feedName() const
{
        return ui.feedNameEdit->text();
}

void FeedPropertiesDialog::setFeedName( const QString &feedName )
{
        ui.feedNameEdit->setText( feedName );
}

QString FeedPropertiesDialog::url() const
{
        return ui.urlEdit->text();
}

void FeedPropertiesDialog::setUrl( const QString &url )
{
        ui.urlEdit->setText( url );
}

#include "feedpropertiesdialog.moc"
