/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSSREADER_MAINWIDGET_H
#define KRSSREADER_MAINWIDGET_H

#include "feedlistmodel.h"
#include "feedlistfilterproxymodel.h"

#include <akonadi/collectionmodel.h>
#include <akonadi/collectionview.h>
#include <akonadi/collectionfilterproxymodel.h>
#include <akonadi/itemmodel.h>
#include <akonadi/itemview.h>

#include <QWidget>
#include <QSplitter>
#include <QTextEdit>

class KXmlGuiWindow;

class MainWidget: public QWidget
{
        Q_OBJECT

public:

        explicit MainWidget( KXmlGuiWindow *parent = 0 );
        ~MainWidget();

private:

        QSplitter *m_mainSplitter;
        QSplitter *m_articleSplitter;
        Akonadi::CollectionView *m_feedlistView;
        Akonadi::ItemView *m_articlesView;
        QTextEdit *m_articleViewer;

        Akonadi::CollectionModel *m_fullModel;
        FeedlistModel *m_feedlistModel;
        FeedlistFilterProxyModel *m_filteredFeedlistModel;
        Akonadi::ItemModel *m_articlesModel;
};

#endif // KRSSREADER_MAINWIDGET_H
