/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef KRSSREADER_SUBSCRIPTIONSMODEL_H
#define KRSSREADER_SUBSCRIPTIONSMODEL_H

#include "feedlistmodel.h"

#include <akonadi/collection.h>

#include <QSet>

class SubscriptionsModel : public FeedlistModel
{
        Q_OBJECT

public:

        explicit SubscriptionsModel( const QString &subscriptionLabel, QObject *parent = 0 );
        ~SubscriptionsModel();

        QVariant data( const QModelIndex &index, int role = Qt::DisplayRole ) const;
        bool setData( const QModelIndex &index, const QVariant &value, int role = Qt::EditRole );
        Qt::ItemFlags flags( const QModelIndex &index ) const;

        QSet<Akonadi::Collection::Id> newSubscriptions() const;
        QSet<Akonadi::Collection::Id> oldSubscriptions() const;

private Q_SLOTS:

        void feedsInserted( const QModelIndex &parent, int start, int end );

private:

        QString m_subscriptionLabel;
        QSet<Akonadi::Collection::Id> m_oldSubscriptions;
        QSet<Akonadi::Collection::Id> m_newSubscriptions;
};

#endif // KRSSREADER_SUBSCRIPTIONSMODEL_H
