/*
    Copyright (C) 2008    Dmitry Ivanov <vonami@gmail.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef AKONADI_FEEDPROPERTIESCOLLECTION_ATTRIBUTE
#define AKONADI_FEEDPROPERTIESCOLLECTION_ATTRIBUTE

#include <akonadi/attribute.h>

#include <QStringList>

class FeedPropertiesCollectionAttribute : public Akonadi::Attribute
{
public:

        FeedPropertiesCollectionAttribute();
        QByteArray type() const;
        FeedPropertiesCollectionAttribute* clone() const;
        QByteArray serialized() const;
        void deserialize( const QByteArray &data );

        QString name() const;
        void setName( const QString &name );
        QString xmlUrl() const;
        void setXmlUrl( const QString &xmlUrl );
        QString htmlUrl() const;
        void setHtmlUrl( const QString &htmlUrl );
        QString feedType() const;
        void setFeedType( const QString &feedType );
        QString description() const;
        void setDescription( const QString &description );

private:

        QString m_name;
        QString m_xmlUrl;
        QString m_htmlUrl;
        QString m_feedType;
        QString m_description;
};

#endif /* AKONADI_FEEDPROPERTIESCOLLECTION_ATTRIBUTE */
